## r-cran-magic 1.5

=== DESCRIPTION ===
Package: magic
Version: 1.5-9
Date: 2018-09-14
Title: Create and Investigate Magic Squares
Author: Robin K. S. Hankin
Depends: R (>= 2.10), abind
Description: A collection of efficient, vectorized algorithms for the
 creation and investigation of magic squares and hypercubes, including
 a variety of functions for the manipulation and analysis of
 arbitrarily dimensioned arrays.  The package includes methods for
 creating normal magic squares of any order greater than 2.  The
 ultimate intention is for the package to be a computerized embodiment
 all magic square knowledge, including direct numerical verification
 of properties of magic squares (such as recent results on the
 determinant of odd-ordered semimagic squares).  Some antimagic
 functionality is included.  The package also
 serves as a rebuttal to the often-heard comment "I thought R
 was just for statistics".
Maintainer: "Robin K. S. Hankin" <hankin.robin@gmail.com>
License: GPL-2
Packaged: 2018-09-16 20:24:12 UTC; rhankin
URL: https://github.com/RobinHankin/magic.git
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2018-09-17 09:00:08 UTC

## r-cran-magic 1.5-8

=== debian/changelog ===
r-cran-magic (1.5-8-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 11:11:41 +0200

r-cran-magic (1.5-8-1) unstable; urgency=medium

  * Initial release (closes: #895523)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 11:53:00 +0200

=== debian/control ===
Source: r-cran-magic
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-abind
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magic
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magic.git
Homepage: https://cran.r-project.org/package=magic

Package: r-cran-magic
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R create and investigate magic squares
 A collection of efficient, vectorized algorithms for the
 creation and investigation of magic squares and hypercubes, including
 a variety of functions for the manipulation and analysis of
 arbitrarily dimensioned arrays.  The package includes methods for
 creating normal magic squares of any order greater than 2.  The
 ultimate intention is for the package to be a computerized embodiment
 all magic square knowledge, including direct numerical verification
 of properties of magic squares (such as recent results on the
 determinant of odd-ordered semimagic squares).  Some antimagic
 functionality is included.  The package also
 serves as a rebuttal to the often-heard comment "I thought R
 was just for statistics".

## r-cran-magic 1.5-9

=== debian/changelog ===
r-cran-magic (1.5-9-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:15:06 +0200

r-cran-magic (1.5-9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 28 Sep 2018 21:13:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-abind
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magic.git
 Homepage: https://cran.r-project.org/package=magic
+Rules-Requires-Root: no
 
 Package: r-cran-magic
 Architecture: all

## r-cran-magic 1.6

=== DESCRIPTION ===
Package: magic
Version: 1.6-1
Title: Create and Investigate Magic Squares
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Depends: R (>= 2.10), abind
Description: A collection of functions for the manipulation and
 analysis of arbitrarily dimensioned arrays.  The original motivation
 for the package was the development of efficient, vectorized
 algorithms for the creation and investigation of magic squares and
 high-dimensional magic hypercubes.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
URL: https://github.com/RobinHankin/magic
BugReports: https://github.com/RobinHankin/magic/issues
NeedsCompilation: no
Packaged: 2022-11-14 19:20:55 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2022-11-16 03:50:05 UTC

## r-cran-magic 1.6-0

=== debian/changelog ===
r-cran-magic (1.6-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 19:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magic.git
 Homepage: https://cran.r-project.org/package=magic

## r-cran-magic 1.6-1

=== debian/changelog ===
r-cran-magic (1.6-1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-magic
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magic
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magic.git
+Homepage: https://cran.r-project.org/package=magic
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-abind
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-magic
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-magic.git
-Homepage: https://cran.r-project.org/package=magic
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-magic
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/magic_([-\d.]*)\.tar\.gz
